#! /bin/sh
cd /kirac/downloads

# versiyon 102 de sungateway.db update edildi, 102 ve ustunde update yapilmayacak
./test_version.sh 102 /kirac/version_sys.txt
RES=$?
OK=1
if [ $RES -eq $OK ]; then
        #copy db
        mv sungateway.db /kirac/db
fi


# versiyon 108 de ipconfig topic field eklendi, 108 ve ustunde update yapilmayacak
./test_version.sh 108 /kirac/version_sys.txt
RES=$?
OK=1
if [ $RES -eq $OK ]; then
	#alter table
	sqlite3 /kirac/db/sungateway.db < /kirac/downloads/add_topic.sql
fi


# versiyon 111 de misc.db eklendi, 111 ve ustunde update yapilmayacak
./test_version.sh 111 /kirac/version_sys.txt
RES=$?
OK=1
if [ $RES -eq $OK ]; then
        #copy db
        mv misc.db /kirac/db
fi

# versiyon 112 de ipconfig topicstatus field eklendi, 112 ve ustunde update yapilmayacak
# versiyon 112 de mbusvars reg_multiplier field eklendi, 112 ve ustunde update yapilmayacak
# versiyon 112 de mbusdata vdata_string field eklendi, 112 ve ustunde update yapilmayacak
./test_version.sh 112 /kirac/version_sys.txt
RES=$?
OK=1
if [ $RES -eq $OK ]; then
        #alter table
        sqlite3 /kirac/db/sungateway.db < /kirac/downloads/add_topicstatus.sql
        sqlite3 /kirac/db/sungateway.db < /kirac/downloads/add_reg_multiplier.sql
	sqlite3 /kirac/db/sungateway.db < /kirac/downloads/add_vdata_string.sql
fi
